##### Examples for ANOVA procedure
#####
##### Slidedeck e5

source("https://rfs.kvasaheim.com/stat200.R")

dt = read.csv("http://rfs.kvasaheim.com/data/crime.csv")
attach(dt)

library(agricolae)

ito1 = "#E1EBEE"
ito2 = "#00AAE4"
ito3 = "#ffdddd"
ito4 = "#990000"

ito = c(ito1,ito2,ito3,ito4)





##### ##### ##### ##### 
### Framing Example 

source("http://rfs.kvasaheim.com/stat200.R")
rice = read.csv("http://rfs.kvasaheim.com/data/rice.csv")
attach(rice)

shapiroTest (yield ~ variety)
fligner.test(yield ~ variety)

ricemod = aov(yield ~ variety)
summary(ricemod)
TukeyHSD(ricemod)




### Second Review Example 

shapiroTest (inituse ~ domPolCulture)
fligner.test(inituse ~ domPolCulture)

kruskal.test(inituse ~ domPolCulture)
print( kruskal(inituse, domPolCulture) )





##### ##### ##### ##### 

### Example 1:
#   Violent Crime

shapiroTest (vcrime00 ~ census4)
fligner.test(vcrime00 ~ census4)

cmod1 = aov(vcrime00~census4)
summary(cmod1)

TukeyHSD(cmod1)




### Example 2:
#   Education


shapiroTest(waea00 ~ domPolCulture)
fligner.test(waea00 ~ domPolCulture)

waeamod = aov(waea00~domPolCulture)
summary(waeamod)

TukeyHSD(waeamod)




### Example 3
#   Average Wealth

shapiroTest ( gspcap00 ~ domPolCulture )
fligner.test( gspcap00 ~ domPolCulture )

kruskal.test( gspcap00 ~ domPolCulture )

print( kruskal( gspcap00, domPolCulture ) )




### Example 4
#   Legislative Professionalism

shapiroTest ( profleg ~ domPolCulture )
fligner.test( profleg ~ domPolCulture )

kruskal.test( profleg ~ domPolCulture )
print( kruskal ( profleg, domPolCulture ) )





### End of File